<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Auth;

class FileShared extends Mailable
{
    use Queueable, SerializesModels;

    public $file;
    public $client;
    public $user;

    public function __construct($file, $client)
    {
        $this->file = $file;
        $this->client = $client;
        $this->user = Auth::user();
    }

    public function build()
    {
        return $this->view('emails.files.shared');
    }
}
