<?php

namespace App;

use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Staudenmeir\EloquentHasManyDeep\HasRelationships;

class User extends Authenticatable
{
    use Notifiable;
    use HasRelationships;

    protected $fillable = [
        'name',
        'designation',
        'email',
        'phone',
        'site',
        'address',
        'avatar',
        'password',
        'api_token'
    ];

    protected $hidden = [ 'password' ];
}
