<?php

use App\File;
use Faker\Generator as Faker;
use Carbon\Carbon;

$factory->define(File::class, function (Faker $faker) {
    return [
        'uuid' => $faker->uuid,
        'title' => $faker->sentence(2),
        'description' => $faker->sentence(10),
        'path' => 'storage/app/public',
        'size' => $faker->randomNumber,
        'extension' => $faker->fileExtension,
        'url' => 'https://bit.ly/2KzQdi6',
        'created_at' => Carbon::now()->addDays(rand(-7, 0))
    ];
});
