<?php

use App\Milestone;
use Faker\Generator as Faker;
use Carbon\Carbon;

$factory->define(Milestone::class, function (Faker $faker) {
    return [
        'title' => $faker->sentence(4, false),
        'description' => $faker->sentence(15, false),
        'budget' => $faker->randomFloat(2, 100, 999),
        'start_at' => $faker->dateTime(),
        'finish_at' => $faker->dateTime(),
        'created_at' => Carbon::now()->addDays(rand(-7, 0))
    ];
});
