<?php

use App\Note;
use Faker\Generator as Faker;
use Illuminate\Support\Carbon;

$factory->define(Note::class, function (Faker $faker) {
    return [
        'title' => $faker->sentence(2),
        'content' => $faker->sentence(100),
        'created_at' => Carbon::now()->addDays(rand(-7, 0))
    ];
});
