<?php

use App\Project;
use Faker\Generator as Faker;
use Carbon\Carbon;

$factory->define(Project::class, function (Faker $faker) {
    return [
        'title' => $faker->sentence(4, false),
        'description' => $faker->sentence(15, false),
        'created_at' => Carbon::now()->addDays(rand(-7, 0))
    ];
});
