<?php

use App\User;
use Faker\Generator as Faker;
use Illuminate\Support\Str;

$factory->define(User::class, function (Faker $faker) {
    return [
        'name' => $faker->name,
        'designation' => $faker->jobTitle,
        'email' => 'admin@example.com',
        'phone' => $faker->phoneNumber,
        'site' => $faker->domainName,
        'address' => $faker->address,
        'avatar' => $faker->imageUrl(100, 100, 'people'),
        'password' => '$2y$10$92IXUNpkjO0rOQ5byMi.Ye4oKoEa3Ro9llC/.og/at2.uheWG/igi',
        'api_token' => 'apitoken'
    ];
});
