<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name', 50);
            $table->string('designation', 50);
            $table->string('email', 50)->unique();
            $table->string('phone', 25);
            $table->string('site', 50);
            $table->string('address', 100);
            $table->string('avatar', 125);
            $table->string('password', 125);
            $table->uuid('api_token');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('users');
    }
}
