<?php

use App\Payment;
use App\Invoice;
use Illuminate\Database\Seeder;

class PaymentsTableSeeder extends Seeder
{
    public function run()
    {
        $invoices = Invoice::all();
        $invoices->each(function ($invoice) {
            factory(Payment::class, 1)->create([ 'invoice_id' => $invoice->id ]);
        });
    }
}
