<?php

use App\Project;
use App\Client;
use Illuminate\Database\Seeder;

class ProjectsTableSeeder extends Seeder
{
    public function run()
    {
        $clients = Client::all();
        $clients->each(function ($client) {
            factory(Project::class)->create([ 'client_id' => $client->id ]);
        });
    }
}
