import Http from './HttpService'

export default class ActivityHttpService {
  static paginate () {
    return Http.get('activities/paginate')
  }

  static search (keyword) {
    const params = { keyword }
    return Http.get('activities/search', params)
  }

  static next (url) {
    return Http.get(url)
  }
}
