import Lazyload from './LazyloadService'
import ActivityRequest from '../RequestServices/ActivityRequestService'
import ActivityMasonry from '../MasonryServices/ActivityMasonryService'

export default class ActivityLazyloadService {
  static paginate () {
    const selector = '#activity-paginate'
    const paginator = () => ActivityRequest.nextPaginate()
    const masonry = () => ActivityMasonry.paginate()
    new Lazyload(selector, paginator, masonry)
  }
}
