import Lazyload from './LazyloadService'
import NotificationRequest from '../RequestServices/NotificationRequestService'
import NotificationMasonry from '../MasonryServices/NotificationMasonryService'

export default class NotificationLazyloadService {
  static paginate () {
    const selector = '#notification-paginate'
    const paginator = () => NotificationRequest.nextPaginate()
    const masonry = () => NotificationMasonry.paginate()
    new Lazyload(selector, paginator, masonry)
  }
}
