import Lazyload from './LazyloadService'
import PaymentRequest from '../RequestServices/PaymentRequestService'
import PaymentMasonry from '../MasonryServices/PaymentMasonryService'

export default class PaymentLazyloadService {
  static paginate () {
    const selector = '#payment-paginate'
    const paginator = () => PaymentRequest.nextPaginate()
    const masonry = () => PaymentMasonry.paginate()
    new Lazyload(selector, paginator, masonry)
  }
}
