import Modal from './ModalService'

export default class ReminderModalService {
  static create () {
    return new Modal('reminder', 'create')
  }

  static read () {
    return new Modal('reminder', 'read')
  }

  static edit () {
    return new Modal('reminder', 'edit')
  }

  static complete () {
    return new Modal('reminder', 'complete')
  }

  static rollback () {
    return new Modal('reminder', 'rollback')
  }

  static delete () {
    return new Modal('reminder', 'delete')
  }

  static restore () {
    return new Modal('reminder', 'restore')
  }

  static emit (id) {
    return new Modal('reminder', `emit-${id}`)
  }
}
