import AccountHttp from '../HttpServices/AccountHttpService'
import UserStore from '../StoreServices/UserStoreService'
import Alert from '../AlertService'

export default class AccountRequestService {
  static async edit (account) {
    const user = await AccountHttp.edit(account)
    if (!user) return
    UserStore.replaceUser(user)
    Alert.success('Successfully updated account')
  }
}
