import PaypalHttp from '../HttpServices/PaypalHttpService'
import Alert from '../AlertService'

export default class PaypalRequestService {
  static async create (paypal) {
    paypal = await PaypalHttp.create(paypal)
    if (!paypal) Alert.error('Invalid payment request')
    return paypal
  }
}
