import ReportHttp from '../HttpServices/ReportHttpService'
import ReportStore from '../StoreServices/ReportStoreService'

export default class ReportRequestService {
  static async counts () {
    const counts = await ReportHttp.counts()
    if (!counts) return
    ReportStore.replaceCounts(counts)
  }

  static async chart () {
    const chart = await ReportHttp.chart()
    if (!chart) return
    ReportStore.replaceChart(chart)
  }
}
