import Store from './StoreService'

export default class ActivityStoreService {
  static collectKeyword () {
    return Store.provider.getters['activity/keyword']
  }

  static collectPaginate () {
    return Store.provider.getters['activity/paginate']
  }

  static replaceKeyword (keyword) {
    Store.provider.commit('activity/replaceKeyword', keyword)
  }

  static replacePaginate (paginate) {
    Store.provider.commit('activity/replacePaginate', paginate)
  }

  static pushPaginate (paginate) {
    Store.provider.commit('activity/pushPaginate', paginate)
  }
}
