import Store from './StoreService'

export default class AlertStoreService {
  static collectAlert () {
    return Store.provider.getters['alert/alert']
  }

  static replaceAlert (alert) {
    Store.provider.commit('alert/replaceAlert', alert)
    Store.provider.dispatch('alert/autoPull')
  }

  static pullAlert () {
    Store.provider.commit('alert/pullAlert')
  }
}
