import Store from './StoreService'

export default class ClientStoreService {
  static addPaginate (client) {
    Store.provider.commit('client/addPaginate', client)
  }

  static collectActive () {
    return Store.provider.getters['client/active']
  }

  static collectClient () {
    return Store.provider.getters['client/client']
  }

  static collectPaginate () {
    return Store.provider.getters['client/paginate']
  }

  static collectShortlist () {
    return Store.provider.getters['client/shortlist']
  }

  static collectTrash () {
    return Store.provider.getters['client/trash']
  }

  static replaceActive (active) {
    Store.provider.commit('client/replaceActive', active)
  }

  static replaceClient (client) {
    Store.provider.commit('client/replaceClient', client)
  }

  static replacePaginate (paginate) {
    Store.provider.commit('client/replacePaginate', paginate)
  }

  static replaceShortlist (shortlist) {
    Store.provider.commit('client/replaceShortlist', shortlist)
  }

  static replaceTrash (trash) {
    Store.provider.commit('client/replaceTrash', trash)
  }

  static pushPaginate (paginate) {
    Store.provider.commit('client/pushPaginate', paginate)
  }

  static pushTrash (trash) {
    Store.provider.commit('client/pushTrash', trash)
  }

  static amendPaginate (client) {
    Store.provider.commit('client/amendPaginate', client)
  }

  static pullPaginate (id) {
    Store.provider.commit('client/pullPaginate', id)
  }

  static pullTrash (id) {
    Store.provider.commit('client/pullTrash', id)
  }
}
