import Store from './StoreService'

export default class NoteStoreService {
  static addPaginate (note) {
    Store.provider.commit('note/addPaginate', note)
  }

  static collectActive () {
    return Store.provider.getters['note/active']
  }

  static collectNote () {
    return Store.provider.getters['note/note']
  }

  static collectPaginate () {
    return Store.provider.getters['note/paginate']
  }

  static collectTrash () {
    return Store.provider.getters['note/trash']
  }

  static replaceActive (active) {
    return Store.provider.commit('note/replaceActive', active)
  }

  static replaceNote (note) {
    return Store.provider.commit('note/replaceNote', note)
  }

  static replacePaginate (paginate) {
    Store.provider.commit('note/replacePaginate', paginate)
  }

  static replaceTrash (trash) {
    Store.provider.commit('note/replaceTrash', trash)
  }

  static pushPaginate (paginate) {
    Store.provider.commit('note/pushPaginate', paginate)
  }

  static pushTrash (trash) {
    Store.provider.commit('note/pushTrash', trash)
  }

  static amendPaginate (note) {
    Store.provider.commit('note/amendPaginate', note)
  }

  static pullPaginate (id) {
    Store.provider.commit('note/pullPaginate', id)
  }

  static pullTrash (id) {
    Store.provider.commit('note/pullTrash', id)
  }
}
