import Store from './StoreService'

export default class NotificationStoreService {
  static addLive (live) {
    Store.provider.commit('notification/addLive', live)
  }

  static collectKeyword () {
    return Store.provider.getters['notification/keyword']
  }

  static collectPaginate () {
    return Store.provider.getters['notification/paginate']
  }

  static collectLive () {
    return Store.provider.getters['notification/live']
  }

  static replaceKeyword (keyword) {
    Store.provider.commit('notification/replaceKeyword', keyword)
  }

  static replaceLive (live) {
    Store.provider.commit('notification/replaceLive', live)
  }

  static replacePaginate (paginate) {
    Store.provider.commit('notification/replacePaginate', paginate)
  }

  static pushPaginate (paginate) {
    Store.provider.commit('notification/pushPaginate', paginate)
  }
}
