import Store from './StoreService'

export default class ProjectStoreService {
  static addPaginate (project) {
    Store.provider.commit('project/addPaginate', project)
  }

  static collectActive () {
    return Store.provider.getters['project/active']
  }

  static collectProject () {
    return Store.provider.getters['project/project']
  }

  static collectPaginate () {
    return Store.provider.getters['project/paginate']
  }

  static collectShortlist () {
    return Store.provider.getters['project/shortlist']
  }

  static collectTrash () {
    return Store.provider.getters['project/trash']
  }

  static collectMilestones () {
    return Store.provider.getters['project/milestones']
  }

  static replaceActive (active) {
    Store.provider.commit('project/replaceActive', active)
  }

  static replaceProject (project) {
    Store.provider.commit('project/replaceProject', project)
  }

  static replacePaginate (paginate) {
    Store.provider.commit('project/replacePaginate', paginate)
  }

  static replaceShortlist (shortlist) {
    Store.provider.commit('project/replaceShortlist', shortlist)
  }

  static replaceTrash (trash) {
    Store.provider.commit('project/replaceTrash', trash)
  }

  static replaceMilestones (milestones) {
    Store.provider.commit('project/replaceMilestones', milestones)
  }

  static pushPaginate (paginate) {
    Store.provider.commit('project/pushPaginate', paginate)
  }

  static pushTrash (trash) {
    Store.provider.commit('project/pushTrash', trash)
  }

  static amendPaginate (project) {
    Store.provider.commit('project/amendPaginate', project)
  }

  static pullPaginate (id) {
    Store.provider.commit('project/pullPaginate', id)
  }

  static pullTrash (id) {
    Store.provider.commit('project/pullTrash', id)
  }
}
