import Store from './StoreService'

export default class TodoStoreService {
  static addList (task) {
    Store.provider.commit('todo/addList', task)
  }

  static collectActive () {
    return Store.provider.getters['todo/active']
  }

  static collectList () {
    return Store.provider.getters['todo/list']
  }

  static collectCompleted () {
    return Store.provider.getters['todo/completed']
  }

  static collectTrash () {
    return Store.provider.getters['todo/trash']
  }

  static collectOrder () {
    return Store.provider.getters['todo/order']
  }

  static collectTask () {
    return Store.provider.getters['todo/task']
  }

  static replaceActive (active) {
    Store.provider.commit('todo/replaceActive', active)
  }

  static replaceList (list) {
    Store.provider.commit('todo/replaceList', list)
  }

  static replaceCompleted (completed) {
    Store.provider.commit('todo/replaceCompleted', completed)
  }

  static replaceTrash (trash) {
    Store.provider.commit('todo/replaceTrash', trash)
  }

  static replaceTask (task) {
    Store.provider.commit('todo/replaceTask', task)
  }

  static pushTrash (trash) {
    Store.provider.commit('todo/pushTrash', trash)
  }

  static pullList (id) {
    Store.provider.commit('todo/pullList', id)
  }

  static pullCompleted (id) {
    Store.provider.commit('todo/pullCompleted', id)
  }

  static pullTrash (id) {
    Store.provider.commit('todo/pullTrash', id)
  }
}
