import Vue from 'vue'
import Vuex from 'vuex'

import alert from './alertStore'
import setup from './setupStore'
import menu from './menuStore'
import report from './reportStore'
import todo from './todoStore'
import reminder from './reminderStore'
import note from './noteStore'
import client from './clientStore'
import project from './projectStore'
import milestone from './milestoneStore'
import file from './fileStore'
import invoice from './invoiceStore'
import payment from './paymentStore'
import notification from './notificationStore'
import activity from './activityStore'
import user from './userStore'

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    alert,
    setup,
    menu,
    report,
    todo,
    reminder,
    note,
    client,
    project,
    milestone,
    file,
    invoice,
    payment,
    notification,
    activity,
    user
  }
})
