<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Artisan;

class AppInstall extends Command
{
    protected $signature = 'app:install';
    protected $description = 'App install';

    public function __construct()
    {
        parent::__construct();
    }

    public function handle()
    {
        Artisan::call('key:generate');
        Artisan::call('migrate:fresh', [ '--force' => true ]);
    }
}
