<?php

namespace App\Http\Middleware;

use Closure;
use App\Http\Controllers\Helpers\InstallHelper as Install;

class FreshDeployment
{
    public function handle($request, Closure $next)
    {
        $isInstalled = Install::verify();
        if ($isInstalled) abort(403);
        else return $next($request);
    }
}
