<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Payment extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'invoice_id',
        'pay_id',
        'payer_id',
        'token',
        'status'
    ];

    public function invoice ()
    {
        return $this->belongsTo('App\Invoice');
    }
}
