<?php

use App\Client;
use Faker\Generator as Faker;
use Illuminate\Support\Carbon;

$factory->define(Client::class, function (Faker $faker) {
    return [
        'name' => $faker->name,
        'about' => $faker->sentence(5),
        'email' => $faker->unique()->safeEmail,
        'phone' => $faker->phoneNumber,
        'avatar' => $faker->imageUrl(100, 100, 'people'),
        'created_at' => Carbon::now()->addDays(rand(-7, 0))
    ];
});
