<?php

use App\Invoice;
use Faker\Generator as Faker;
use Carbon\Carbon;

$factory->define(Invoice::class, function (Faker $faker) {
    return [
        'uuid' => $faker->uuid(),
        'status' => $faker->randomElement(['created', 'sent', 'paid']),
        'path' => 'storage/invoice',
        'url' => 'https://bit.ly/2NRrLLz',
        'pay' => 'http://localhost/payment',
        'created_at' => Carbon::now()->addDays(rand(-7, 0))
    ];
});
