<?php

use App\Payment;
use Faker\Generator as Faker;
use Carbon\Carbon;

$factory->define(Payment::class, function (Faker $faker) {
    return [
        'pay_id' => $faker->md5(),
        'payer_id' => $faker->md5(),
        'token' => $faker->md5(),
        'status' => $faker->randomElement(['success', 'canceled']),
        'created_at' => Carbon::now()->addDays(rand(-7, 0))
    ];
});
