<?php

use App\Reminder;
use Faker\Generator as Faker;
use Illuminate\Support\Carbon;

$factory->define(Reminder::class, function (Faker $faker) {
    return [
        'title' => $faker->sentence(2),
        'message' => $faker->sentence(10),
        'is_completed' => $faker->boolean(50),
        'scheduled_at' => Carbon::now()->addMonth(),
        'completed_at' => Carbon::now(),
        'created_at' => Carbon::now()->addDays(rand(-7, 0))
    ];
});
