<?php

use App\Todo;
use Faker\Generator as Faker;
use Illuminate\Support\Carbon;
use Illuminate\Support\Str;

$factory->define(Todo::class, function (Faker $faker) {
    static $position = 0;
    return [
        'task' => $faker->sentence(4),
        'position' => $position++,
        'is_done' => $faker->boolean(50),
        'done_at' => Carbon::now(),
        'created_at' => Carbon::now()->addDays(rand(-7, 0))
    ];
});
