<?php

use App\Invoice;
use App\Milestone;
use Illuminate\Database\Seeder;

class InvoicesTableSeeder extends Seeder
{
    public function run()
    {
        $milestones = Milestone::all();
        $milestones->each(function($milestone) {
            factory(Invoice::class, 1)->create([ 'milestone_id' => $milestone->id ]);
        });
    }
}
