<?php

use App\Milestone;
use App\Project;
use Illuminate\Database\Seeder;

class MilestonesTableSeeder extends Seeder
{
    public function run()
    {
        $projects = Project::all();
        $projects->each(function ($project) {
            factory(Milestone::class, 1)->create([ 'project_id' => $project->id ]);
        });
    }
}
