$(function() {
  function init(callback) {
    $('section').hide()
    $('#introduction').show()
    $('[data-target="introduction"]').addClass('active')
    callback()
  }

  function activeClass(targetDOM) {
    $('.active').removeClass('active')
    $(targetDOM).addClass('active')
  }

  function router() {
    $('[data-target]').click(function() {
      const target = $(this).attr('data-target')

      $('section').hide()
      $(`#${target}`).show()

      activeClass(this)
    })
  }

  init(router)
})