import Http from './HttpService'

export default class NotificationHttpService {
  static paginate () {
    return Http.get('notifications/paginate')
  }

  static search (keyword) {
    const params = { keyword }
    return Http.get('notifications/search', params)
  }

  static next (url) {
    return Http.get(url)
  }
}
