
import Http from './HttpService'

export default class PaymentHttpService {
  static create (payment) {
    return Http.post('payments', payment)
  }

  static paginate () {
    return Http.get('payments/paginate')
  }

  static cancel (payment) {
    return Http.post('payments/cancel', payment)
  }

  static next (url) {
    return Http.get(url)
  }
}
