import Lazyload from './LazyloadService'
import MilestoneRequest from '../RequestServices/MilestoneRequestService'
import MilestoneMasonry from '../MasonryServices/MilestoneMasonryService'

export default class MilestoneLazyloadService {
  static paginate () {
    const selector = '#milestone-paginate'
    const paginator = () => MilestoneRequest.nextPaginate()
    const masonry = () => MilestoneMasonry.paginate()
    new Lazyload(selector, paginator, masonry)
  }

  static trash () {
    const selector = '#milestone-trash'
    const paginator = () => MilestoneRequest.nextTrash()
    const masonry = () => MilestoneMasonry.trash()
    new Lazyload(selector, paginator, masonry)
  }
}
