import Lazyload from './LazyloadService'
import TodoRequest from '../RequestServices/TodoRequestService'
import TodoMasonry from '../MasonryServices/TodoMasonryService'

export default class TodoLazyloadService {
  static trash () {
    const selector = '#todo-trash'
    const paginator = () => TodoRequest.nextTrash()
    const masonry = () => TodoMasonry.trash()
    new Lazyload(selector, paginator, masonry)
  }
}
