import $ from 'jquery'

export default class ModalService {
  constructor (component, modal) {
    this.component = component
    this.modal = modal
  }

  dom () {
    const seletor = `#${this.component}-${this.modal}-modal`
    const dom = $(seletor)
    return dom
  }

  open () {
    this.dom().modal('show')
  }

  onOpen (callback) {
    this.dom().on('shown.bs.modal', () => callback())
  }

  close () {
    this.dom().modal('hide')
  }

  onClose (callback) {
    this.dom().on('hidden.bs.modal', () => callback())
  }
}
