import Nprogress from 'nprogress'

export default class ProgressService {
  static initialize () {
    Nprogress.configure({
      showSpinner: false,
      parent: '#progress',
      minimum: 0.1,
      trickleRate: 0.1
    })
  }

  static start () {
    Nprogress.start()
  }

  static end () {
    Nprogress.done()
  }
}
