import SetupHttp from '../HttpServices/SetupHttpService'
import SetupStore from '../StoreServices/SetupStoreService'

export default class SetupRequestService {
  static async verify () {
    SetupStore.replaceProcessing(true)
    const status = await SetupHttp.verify()
    if (status) SetupStore.replaceStatus(status)
    SetupStore.replaceProcessing(false)
  }
}
