import Store from './StoreService'

export default class FileStoreService {
  static addPaginate (file) {
    Store.provider.commit('file/addPaginate', file)
  }

  static collectActive () {
    return Store.provider.getters['file/active']
  }

  static collectFile () {
    return Store.provider.getters['file/file']
  }

  static collectPaginate () {
    return Store.provider.getters['file/paginate']
  }

  static collectTrash () {
    return Store.provider.getters['file/trash']
  }

  static replaceActive (active) {
    Store.provider.commit('file/replaceActive', active)
  }

  static replaceFile (file) {
    Store.provider.commit('file/replaceFile', file)
  }

  static replacePaginate (paginate) {
    Store.provider.commit('file/replacePaginate', paginate)
  }

  static replaceTrash (trash) {
    Store.provider.commit('file/replaceTrash', trash)
  }

  static pushPaginate (paginate) {
    Store.provider.commit('file/pushPaginate', paginate)
  }

  static pushTrash (trash) {
    Store.provider.commit('file/pushTrash', trash)
  }

  static amendPaginate (file) {
    Store.provider.commit('file/amendPaginate', file)
  }

  static pullPaginate (id) {
    Store.provider.commit('file/pullPaginate', id)
  }

  static pullTrash (id) {
    Store.provider.commit('file/pullTrash', id)
  }
}
