import Store from './StoreService'

export default class InvoiceStoreService {
  static addPaginate (invoice) {
    Store.provider.commit('invoice/addPaginate', invoice)
  }

  static collectActive () {
    return Store.provider.getters['invoice/active']
  }

  static collectInvoice () {
    return Store.provider.getters['invoice/invoice']
  }

  static collectPaginate () {
    return Store.provider.getters['invoice/paginate']
  }

  static collectTrash () {
    return Store.provider.getters['invoice/trash']
  }

  static replaceActive (active) {
    Store.provider.commit('invoice/replaceActive', active)
  }

  static replaceInvoice (invoice) {
    Store.provider.commit('invoice/replaceInvoice', invoice)
  }

  static replacePaginate (paginate) {
    Store.provider.commit('invoice/replacePaginate', paginate)
  }

  static replaceTrash (trash) {
    Store.provider.commit('invoice/replaceTrash', trash)
  }

  static pushPaginate (paginate) {
    Store.provider.commit('invoice/pushPaginate', paginate)
  }

  static amendPaginate (invoice) {
    Store.provider.commit('invoice/amendPaginate', invoice)
  }

  static pushTrash (trash) {
    Store.provider.commit('invoice/pushTrash', trash)
  }

  static pullPaginate (id) {
    Store.provider.commit('invoice/pullPaginate', id)
  }

  static pullTrash (id) {
    Store.provider.commit('invoice/pullTrash', id)
  }
}
