import Store from './StoreService'

export default class MilestoneStoreService {
  static addPaginate (milestone) {
    Store.provider.commit('milestone/addPaginate', milestone)
  }

  static collectActive () {
    return Store.provider.getters['milestone/active']
  }

  static collectMilestone () {
    return Store.provider.getters['milestone/milestone']
  }

  static collectPaginate () {
    return Store.provider.getters['milestone/paginate']
  }

  static collectTrash () {
    return Store.provider.getters['milestone/trash']
  }

  static replaceActive (active) {
    Store.provider.commit('milestone/replaceActive', active)
  }

  static replaceMilestone (milestone) {
    Store.provider.commit('milestone/replaceMilestone', milestone)
  }

  static replacePaginate (paginate) {
    Store.provider.commit('milestone/replacePaginate', paginate)
  }

  static replaceTrash (trash) {
    Store.provider.commit('milestone/replaceTrash', trash)
  }

  static pushPaginate (paginate) {
    Store.provider.commit('milestone/pushPaginate', paginate)
  }

  static pushTrash (trash) {
    Store.provider.commit('milestone/pushTrash', trash)
  }

  static amendPaginate (milestone) {
    Store.provider.commit('milestone/amendPaginate', milestone)
  }

  static pullPaginate (id) {
    Store.provider.commit('milestone/pullPaginate', id)
  }

  static pullTrash (id) {
    Store.provider.commit('milestone/pullTrash', id)
  }
}
