import Store from './StoreService'

export default class PaymentStoreService {
  static collectPayment () {
    return Store.provider.getters['payment/payment']
  }

  static collectPaginate () {
    return Store.provider.getters['payment/paginate']
  }

  static replacePayment (payment) {
    Store.provider.commit('payment/replacePayment', payment)
  }

  static replacePaginate (paginate) {
    Store.provider.commit('payment/replacePaginate', paginate)
  }

  static pushPaginate (paginate) {
    Store.provider.commit('payment/pushPaginate', paginate)
  }
}
