import Store from './StoreService'

export default class ReportStoreService {
  static collectCounts () {
    return Store.provider.getters['report/counts']
  }

  static collectChart () {
    return Store.provider.getters['report/chart']
  }

  static replaceCounts (counts) {
    Store.provider.commit('report/replaceCounts', counts)
  }

  static replaceChart (chart) {
    Store.provider.commit('report/replaceChart', chart)
  }
}
