import Store from './StoreService'

export default class SetupStoreService {
  static collectStatus () {
    return Store.provider.getters['setup/status']
  }

  static collectProcessing () {
    return Store.provider.getters['setup/processing']
  }

  static replaceStatus (status) {
    Store.provider.commit('setup/replaceStatus', status)
  }

  static replaceProcessing (processing) {
    Store.provider.commit('setup/replaceProcessing', processing)
  }
}
