import _ from 'lodash'

export default {
  namespaced: true,
  state: {
    keyword: '',
    paginate: {
      data: [],
      next_page_url: ''
    }
  },

  mutations: {
    replaceKeyword (state, keyword) {
      state.keyword = keyword
    },
    replacePaginate (state, paginate) {
      state.paginate = paginate
    },
    pushPaginate (state, paginate) {
      _.forEach(paginate.data, activity => {
        state.paginate.data.push(activity)
      })
      state.paginate.next_page_url = paginate.next_page_url
    }
  },

  getters: {
    keyword: state => state.keyword,
    paginate: state => state.paginate
  }
}
