import _ from 'lodash'

export default {
  namespaced: true,
  state: {
    payment: {},
    paginate: {
      data: [],
      next_page_url: ''
    }
  },

  mutations: {
    replacePayment (state, payment) {
      state.payment = payment
    },
    replacePaginate (state, paginate) {
      state.paginate = paginate
    },
    pushPaginate (state, paginate) {
      _.forEach(paginate.data, payment => {
        state.paginate.data.push(payment)
      })
      state.paginate.next_page_url = paginate.next_page_url
    }
  },

  getters: {
    payment: state => state.payment,
    paginate: state => state.paginate
  }
}
