export default {
  namespaced: true,
  state: {
    counts: {
      todo: 0,
      reminder: 0,
      note: 0,
      client: 0,
      project: 0,
      milestone: 0,
      file: 0,
      invoice: 0,
      payment: 0
    },
    chart: []
  },

  mutations: {
    replaceCounts (state, counts) {
      state.counts = counts
    },
    replaceChart (state, chart) {
      state.chart = chart
    }
  },

  getters: {
    counts: state => state.counts,
    chart: state => state.chart
  }
}
