export default {
  namespaced: true,
  state: {
    status: {},
    processing: true
  },

  mutations: {
    replaceStatus (state, status) {
      state.status = status
    },
    replaceProcessing (state, processing) {
      state.processing = processing
    }
  },

  getters: {
    status: state => state.status,
    processing: state => state.processing
  }
}
