<div style="font-family:Arial">
  <h4 style="margin-bottom:0">{{ $user->name }}</h4>
  <h5 style="margin-top:0">{{ $user->designation }}</h5>
  <p>
    {{ $user->email }}<br>
    {{ $user->phone }}<br>
    {{ $user->site }}
  </p>
  <p style="margin-bottom:40px;">{{ $user->address }}</p>
  <h1 style="margin-bottom:0">Invoice</h1>
  <p>Submitted on {{ date('d/m/Y', strtotime($invoice->created_at)) }}</p>
  @if ($invoice->status === 'paid')
    <span style="background:green;color:#fff;padding:10px">&nbsp;Paid&nbsp;</span>
  @else
    <span style="background:red;color:#fff;padding:10px">&nbsp;Unpaid&nbsp;</span>
  @endif
  <table style="margin:30px 0;width:100%;font-family:Arial">
    <thead>
      <tr>
        <th style="text-align:left;padding-bottom:10px">
          <h3>Invoice for</h3>
        </th>
        <th style="text-align:left;padding-bottom:10px">
          <h3>Project</h3>
        </th>
        <th style="text-align:left;padding-bottom:10px">
          <h3>Invoice #</h3>
        </th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>
          {{ $client->name }}<br>
          {{ $client->email }}<br>
          {{ $client->phone }}<br>
        </td>
        <td valign="top">{{ $project->title }}</td>
        <td valign="top">{{ $invoice->id }}</td>
      </tr>
    </tbody>
  </table>
  <table border="1" style="border-collapse:collapse;width:100%;font-family:Arial">
    <thead>
      <tr>
        <th style="text-align:left;padding:10px"><h4>Milestone</h4></th>
        <th style="text-align:left;padding:10px"><h4>Amount</h4></th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td valign="top" style="padding:10px">{{ $milestone->title }}</td>
        <td valign="top" style="padding:10px">${{ $milestone->budget }}</td>
      </tr>
      <tr>
        <th valign="top" style="padding:10px;text-align:left;"><h4>Total</h4></th>
        <td valign="top" style="padding:10px">
          <h2>${{ $milestone->budget }}</h2>
        </td>
      </tr>
    </tbody>
  </table>
</div>